Subject: Re: bug#52063: 28.0.60; Confusing presentation of lambda

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Nov 2021 18:56:15 +0200

> From: Filipp Gunbin <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 24 Nov 2021 19:40:16 +0300
> 
> But you're creating normal lambda here, and under lex-bind it will
> become a closure, to keep its lexical environment together with it.

So how do I get my lambda back, in the lexical-binding environment?

> I just realized that I don't have lex-binding turned on in .emacs, and
> because of that my customized hooks look "good", but I wonder: what is
> the recommended binding mode for .emacs?  Dynamic or lexical?  With
> lexical, all customizations would start to look as your example.

That's how I discovered this nit.